Subject: Re: spurious (?) mce Hardware Error messages in v6.19

From: Yazen Ghannam <[email-masked]>
Date: Mon, 23 Feb 2026 16:53:16 -0500

On Fri, Feb 20, 2026 at 07:24:32PM +0100, Bert Karwatzki wrote:

[...]

> > > 
> > > As far as I know is a production Laptop, a MSI Alpha 15 B5EEK/MS-158L model with
> > > bios version "BIOS E158LAMS.10F 11/11/2024" (the newest version available at
> > > https://de.msi.com/Laptop/Alpha-15-B5EX/support?sku_id=89840) and without
> > > preinstalled Windows which I bought in December 2021 at www.alternate.de (a shop
> > > which MSI lists as a "trusted partner": https://de.msi.com/service/bzq)
> > > 
> > > Bert Karwatzki
> > 
> > Do you know if it was purchased "right around" when it launched?  I'm 
> > wondering if it's possible they used pre-production parts for some 
> > reason with their initial systems.
> > 
> > The reason for this line of inquiry is if this is what we would have 
> > considered pre-production silicon, it might be more appropriate to flag 
> > the CPU accordingly and ignore these MCEs.
> 
> Yes, I bought right when it became available.
> 

Thanks Bert for confirming.

I'll send a patch to filter this signature.

Thanks,
Yazen